%define		_release	1216

Name:		ganttproject
Version:	2.5.4
Release:	%mkrel 3
# note: ganttproject-builder is licensed with gpl version 2 or, at your opinion, any later version
#       see ganttproject-2.5.4-r1216-src/ganttproject-builder/LICENSE
License:	GPLv3
Summary:	Desktop tool for project scheduling and management
Group:		Office/Management
Url:		http://www.ganttproject.biz
Source0:		http://ganttproject.googlecode.com/files/%{name}-%{version}-r%{_release}-src.zip

BuildRequires:	ant
BuildRequires:	java-devel >= 0:1.6.0

Requires:	java >= 0:1.6.0

%prep
%setup -q -n %{name}-%{version}-r%{_release}-src

%build
pushd ganttproject-builder
%ant
popd

%install
mkdir -p %{buildroot}%{_datadir}
mv ganttproject-builder/dist-bin %{buildroot}%{_datadir}/%{name}
mkdir -p %{buildroot}%{_datadir}/{pixmaps,applications,mime/packages}
mkdir -p %{buildroot}%{_bindir}

install -m755 ganttproject-builder/deb/usr/share/mime/packages/%{name}.xml %{buildroot}%{_datadir}/mime/packages/%{name}.xml
install -m755 ganttproject-builder/deb/usr/share/pixmaps/%{name}.png %{buildroot}%{_datadir}/pixmaps/%{name}.png

chmod +x %{buildroot}%{_datadir}/%{name}/%{name}
ln -sf %{_datadir}/%{name}/%{name} %{buildroot}%{_bindir}/%{name}

cat >> %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=GanttProject
Comment=project scheduling and management
Exec=%{name}
Icon=%{name}
Type=Application
Categories=Office;Development;ProjectManagement;
EOF

%description
GanttProject is a cross-platform desktop tool for
project scheduling and management. 
It runs on Windows, Linux and MacOSX, it is free
and its code is opensource. 
It can do:
  * Gantt chart: create work breakdown structure,
                 draw dependencies, define milestones.
  * Resources: assign human resources to work on tasks,
               see their allocation on the Resource Load 
               chart.
  * PERT chart: generate PERT chart from Gantt chart.
  * Export: save charts as PNG images, generate PDF 
            and HTML reports.
  * Interoperate: import projects from and export them to
                  Microsoft Project formats.
                  Export to spreadsheets with CSV.
  * Collaborate: share projects with your colleagues
                 using WebDAV.

%files
%doc ganttproject/LICENSE ganttproject/README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name} 
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/pixmaps/%{name}.png


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 2.5.4-3.mga4
+ Revision: 521835
- Mageia 4 Mass Rebuild

* Thu Jan 24 2013 fwang <fwang> 2.5.4-2.mga3
+ Revision: 391976
- update rpm group

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jul 30 2012 matteo <matteo> 2.5.4-1.mga3
+ Revision: 276180
- fixed symbolic link
- making ganttproject script executable
- imported package ganttproject

